Subject: Re: bug#670: bug#1077: 23.0.60; x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Nov 2010 19:50:30 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sun, 28 Nov 2010 09:26:08 -0800
> 
> That link let me download a file `gdb-7.2-1-mingw32-bin.tar.lzma'.
> 
> I have no idea what to do with such a file (LZMA).

It's a compressed tar file.  Either download an lzma.exe and tar.exe
(or bsdtar.exe) from somewhere, or try 7zip.  I have the former; in
that case, you first uncompress it with lzma and then untar with tar.
(Yes, I'm also angry on the MinGW folks that started to use this
compression before it's sufficiently widespread, at least on Windows,
and the available ports of Tar don't support it directly yet.)

> On Windows (you've heard of
> that, right Eli? - still kidding), _users_ typically download a setup.exe file
> (zip that contains one), and then double-click that to launch an installer.

Once you've unpacked the archive, the "installation" is just copy the
.exe files to some place on your PATH, and that's it. 

> Then why doesn't the Lisp debugger have a stack frame for the Lisp function that
> called `<'?  I assume you're saying that C calls some Lisp function _besides_
> the Lisp function `<'.  Why doesn't that function appear in the backtrace?

Lisp debugger has no visibility into the C level.

> I suspect that you just forgot step #5: Enter Icicle minor mode using
> `icy-mode'.  If you do not see the lighter `Icy' in the mode line, then you are
> not in Icicle mode.

No, I didn't forget step #5, and I did see `Icy' in the mode line.
Let's hope it's the missing C-M-End.